<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for NoteTypeSearch StructType
 * @subpackage Structs
 */
class NoteTypeSearch extends SearchRecord
{
    /**
     * The basic
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\NoteTypeSearchBasic
     */
    public $basic;
    /**
     * The userJoin
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\EmployeeSearchBasic
     */
    public $userJoin;
    /**
     * Constructor method for NoteTypeSearch
     * @uses NoteTypeSearch::setBasic()
     * @uses NoteTypeSearch::setUserJoin()
     * @param \StructType\NoteTypeSearchBasic $basic
     * @param \StructType\EmployeeSearchBasic $userJoin
     */
    public function __construct(\StructType\NoteTypeSearchBasic $basic = null, \StructType\EmployeeSearchBasic $userJoin = null)
    {
        $this
            ->setBasic($basic)
            ->setUserJoin($userJoin);
    }
    /**
     * Get basic value
     * @return \StructType\NoteTypeSearchBasic|null
     */
    public function getBasic()
    {
        return $this->basic;
    }
    /**
     * Set basic value
     * @param \StructType\NoteTypeSearchBasic $basic
     * @return \StructType\NoteTypeSearch
     */
    public function setBasic(\StructType\NoteTypeSearchBasic $basic = null)
    {
        $this->basic = $basic;
        return $this;
    }
    /**
     * Get userJoin value
     * @return \StructType\EmployeeSearchBasic|null
     */
    public function getUserJoin()
    {
        return $this->userJoin;
    }
    /**
     * Set userJoin value
     * @param \StructType\EmployeeSearchBasic $userJoin
     * @return \StructType\NoteTypeSearch
     */
    public function setUserJoin(\StructType\EmployeeSearchBasic $userJoin = null)
    {
        $this->userJoin = $userJoin;
        return $this;
    }
}
